# VLC_HTTP_LAUNCHER

This project is a simple python programme to travel in http repository and open all file in VLC 

## Screenshoot

![preview](https://media.discordapp.net/attachments/576080802882781194/1107765749273083925/image.png)
![server selector](https://media.discordapp.net/attachments/501841539161522176/1107767265430089828/image.png)

## Installation

1. Clone the repository:
```bash
git clone https://git.chauvet.pro/starnakin/VLC_HTTP_LAUNCHER
```
2. Navigate to the project directory:
```bash
cd VLC_HTTP_LAUNCHER
```
3. Install the dependencies:
```bash
pip install -r requirements.txt
pip install -r terminal_menu/requirements.txt
```

## Usage

```bash
python3 main.py
```

## dependency

### BeautifulSoup4
To parse the html
###  Requests
To get html with http requests
### [TinyDB](https://pypi.org/project/tinydb/)
To store credential data and url of the http server
###  SubProcess and Os
To launch VLC